

Miquel,
       If i understand the Bader Analysis correctly a positive value
of the Laplacian does indicate ionic character. However the magnitude
of the charge density at the bond critical point must also be considered.
For LiF i would expect that the charge density is much smaller at the bcp 
than in the corresponding CO bond and that this indicates an ionic LiF bond whereas 
the positive value for the CO indicates a strongly polar, covalent bond.
Classification of bonds may also be performed using the energy density
at the bond critical point, as discussed by Cremer and Gauss, JACS, 107, 1985,
p.3800.
  I would be very interested in any other replies you receive on the subject.

                            Cheers,
                                   David.